task MIEpos2bed {
	File mie_file
	String chromo
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		python /opt/vcf2bed.py ${mie_file} ${sample_name}.${chromo}.info.txt

		cat ${sample_name}.${chromo}.info.txt | grep -v '0:4:4' | grep -v '1:4:4' | awk '{ if ($3 != 0) { print } }' | cut -f1,8,9 > ${sample_name}.${chromo}.allvariants.bed	

		cat ${sample_name}.${chromo}.info.txt | grep -v '0:4:4' | grep -v '1:4:4' | awk '{ if ($3 != 0) { print } }' | grep 'MIE' | cut -f1,8,9 > ${sample_name}.${chromo}.mie.bed

		cat ${sample_name}.${chromo}.info.txt | awk '{print $1,$8,$9,$10,$2,$3,$4,$5,$6,$7}' | sed 's/\s\+/\t/g' > ${sample_name}.${chromo}.info.bed

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File info = "${sample_name}.${chromo}.info.txt"
		File mie_bed = "${sample_name}.${chromo}.mie.bed"
		File all_bed = "${sample_name}.${chromo}.allvariants.bed"
		File info_bed = "${sample_name}.${chromo}.info.bed"
	}
}
