task bedAnnotation {
	File all_info_bed
	File left_50
	File left_100
	File left_150
	File left_200
	File left_250
	File left_300
	File left_350
	File left_400
	File right_50
	File right_100
	File right_150
	File right_200
	File right_250
	File right_300
	File right_350
	File right_400
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		/opt/ccdg/bedtools-2.27.1/bin/bedtools annotate -counts -i ${all_info_bed} -files ${left_400} ${left_350} ${left_300} ${left_250} ${left_200} ${left_150} ${left_100} ${left_50} ${right_50} ${right_100} ${right_150} ${right_200} ${right_250} ${right_300} ${right_350} ${right_400} > ${sample_name}.info.bed.annotation.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File info_bed_annotation = "${sample_name}.info.bed.annotation.txt"
	}
}
