task bedCoverage {
	File all_mie_bed
	File all_all_bed
	File left_50
	File left_100
	File left_150
	File left_200
	File left_250
	File left_300
	File left_350
	File left_400
	File right_50
	File right_100
	File right_150
	File right_200
	File right_250
	File right_300
	File right_350
	File right_400
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

## MIE
		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_50} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_100} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_150} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_200} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left200.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_250} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left250.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_300} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left300.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_350} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left350.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_400} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.left400.coverage.txt


		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_50} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_100} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_150} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_200} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right200.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_250} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right250.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_300} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right300.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_350} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right350.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_400} -b ${all_mie_bed} -counts | cut -f4 > ${sample_name}.mie.right400.coverage.txt


		paste ${sample_name}.mie.left400.coverage.txt ${sample_name}.mie.left350.coverage.txt ${sample_name}.mie.left300.coverage.txt ${sample_name}.mie.left250.coverage.txt ${sample_name}.mie.left200.coverage.txt ${sample_name}.mie.left150.coverage.txt ${sample_name}.mie.left100.coverage.txt ${sample_name}.mie.left50.coverage.txt ${sample_name}.mie.right50.coverage.txt ${sample_name}.mie.right100.coverage.txt ${sample_name}.mie.right150.coverage.txt ${sample_name}.mie.right200.coverage.txt ${sample_name}.mie.right250.coverage.txt ${sample_name}.mie.right300.coverage.txt ${sample_name}.mie.right350.coverage.txt ${sample_name}.mie.right400.coverage.txt > ${sample_name}.mie.coverage.txt

# all variants

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_50} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_100} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_150} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_200} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left200.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_250} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left250.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_300} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left300.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_350} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left350.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${left_400} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.left400.coverage.txt


		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_50} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right50.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_100} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right100.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_150} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right150.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_200} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right200.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_250} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right250.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_300} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right300.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_350} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right350.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${right_400} -b ${all_all_bed} -counts | cut -f4 > ${sample_name}.all.right400.coverage.txt


		paste ${sample_name}.all.left400.coverage.txt ${sample_name}.all.left350.coverage.txt ${sample_name}.all.left300.coverage.txt ${sample_name}.all.left250.coverage.txt ${sample_name}.all.left200.coverage.txt ${sample_name}.all.left150.coverage.txt ${sample_name}.all.left100.coverage.txt ${sample_name}.all.left50.coverage.txt ${sample_name}.all.right50.coverage.txt ${sample_name}.all.right100.coverage.txt ${sample_name}.all.right150.coverage.txt ${sample_name}.all.right200.coverage.txt ${sample_name}.all.right250.coverage.txt ${sample_name}.all.right300.coverage.txt ${sample_name}.all.right350.coverage.txt ${sample_name}.all.right400.coverage.txt > ${sample_name}.all.coverage.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mie = "${sample_name}.mie.coverage.txt"
		File all = "${sample_name}.all.coverage.txt"
	}
}
