task diffBed {
	File all_mie_bed
	File all_all_bed
	File lcr
	File centromere
	File sv_dup
	File sv_del
	File sv_inv
	File easy_region
	File sv_ins_bp
	File sv_del_bp
	File sv_tra_bp
	File sv_inv_bp
	File sv_dup_bp
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

# mie

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${lcr} -b ${all_mie_bed} -counts  > ${sample_name}.mie.lcr.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${centromere} -b ${all_mie_bed} -counts  > ${sample_name}.mie.centromere.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_dup} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_dup.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_del} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_del.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_inv} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_inv.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_ins_bp} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_ins_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_del_bp} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_del_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_tra_bp} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_tra_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_inv_bp} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_inv_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_dup_bp} -b ${all_mie_bed} -counts  > ${sample_name}.mie.sv_dup_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${easy_region} -b ${all_mie_bed} -counts  > ${sample_name}.mie.easy_region.coverage.txt


# all variants

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${lcr} -b ${all_all_bed} -counts  > ${sample_name}.all.lcr.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${centromere} -b ${all_all_bed} -counts  > ${sample_name}.all.centromere.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_dup} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_dup.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_del} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_del.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_inv} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_inv.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_ins_bp} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_ins_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_del_bp} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_del_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_tra_bp} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_tra_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_inv_bp} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_inv_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${sv_dup_bp} -b ${all_all_bed} -counts  > ${sample_name}.all.sv_dup_bp.coverage.txt

		/opt/ccdg/bedtools-2.27.1/bin/bedtools coverage -a ${easy_region} -b ${all_all_bed} -counts  > ${sample_name}.all.easy_region.coverage.txt


	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mie_lcr = "${sample_name}.mie.lcr.coverage.txt"
		File mie_centromere = "${sample_name}.mie.centromere.coverage.txt"
		File mie_sv_dup = "${sample_name}.mie.sv_dup.coverage.txt"
		File mie_sv_del = "${sample_name}.mie.sv_del.coverage.txt"
		File mie_sv_inv = "${sample_name}.mie.sv_inv.coverage.txt"
		File mie_sv_ins_bp = "${sample_name}.mie.sv_ins_bp.coverage.txt"
		File mie_sv_del_bp = "${sample_name}.mie.sv_del_bp.coverage.txt"
		File mie_sv_tra_bp = "${sample_name}.mie.sv_tra_bp.coverage.txt"
		File mie_sv_inv_bp = "${sample_name}.mie.sv_inv_bp.coverage.txt"
		File mie_sv_dup_bp = "${sample_name}.mie.sv_dup_bp.coverage.txt"
		File mie_easy_region = "${sample_name}.mie.easy_region.coverage.txt"
		File all_lcr = "${sample_name}.all.lcr.coverage.txt"
		File all_centromere = "${sample_name}.all.centromere.coverage.txt"
		File all_sv_dup = "${sample_name}.all.sv_dup.coverage.txt"
		File all_sv_del = "${sample_name}.all.sv_del.coverage.txt"
		File all_sv_inv = "${sample_name}.all.sv_inv.coverage.txt"
		File all_sv_ins_bp = "${sample_name}.all.sv_ins_bp.coverage.txt"
		File all_sv_del_bp = "${sample_name}.all.sv_del_bp.coverage.txt"
		File all_sv_tra_bp = "${sample_name}.all.sv_tra_bp.coverage.txt"
		File all_sv_inv_bp = "${sample_name}.all.sv_inv_bp.coverage.txt"
		File all_sv_dup_bp = "${sample_name}.all.sv_dup_bp.coverage.txt"
		File all_easy_region = "${sample_name}.all.easy_region.coverage.txt"
	}
}
