task mergeBed {
	Array[File] mie_bed
	Array[File] all_bed
	Array[File] info_bed
	String sample_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${sep=" " mie_bed} | sort -k1,1 -k2,2n > ${sample_name}.mie.bed

		cat ${sep=" " all_bed} | sort -k1,1 -k2,2n > ${sample_name}.all.bed

		cat ${sep=" " info_bed} | sort -k1,1 -k2,2n > ${sample_name}.info.bed

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File all_mie_bed = "${sample_name}.mie.bed"
		File all_all_bed = "${sample_name}.all.bed"
		File all_info_bed = "${sample_name}.info.bed"
	}
}
