import "./tasks/MIEpos2bed.wdl" as MIEpos2bed
import "./tasks/mergeBed.wdl" as mergeBed
import "./tasks/bedCoverage.wdl" as bedCoverage
import "./tasks/diffBed.wdl" as diffBed
import "./tasks/bedAnnotation.wdl" as bedAnnotation

workflow {{ project_name }} {
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	String sample_name
	String cluster_config
	String disk_size

	scatter (sample in inputSamples){
		call MIEpos2bed.MIEpos2bed as MIEpos2bed {
			input:
			mie_file=sample[0],
			chromo=sample[1],
			sample_name=sample_name,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
	}
	call mergeBed.mergeBed as mergeBed {
		input:
		mie_bed=MIEpos2bed.mie_bed,
		all_bed=MIEpos2bed.all_bed,
		info_bed=MIEpos2bed.info_bed,
		sample_name=sample_name,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call bedCoverage.bedCoverage as INS_bedCoverage {
		input:
		all_mie_bed=mergeBed.all_mie_bed,
		all_all_bed=mergeBed.all_all_bed,
		sample_name=sample_name,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call bedCoverage.bedCoverage as DEL_bedCoverage {
		input:
		all_mie_bed=mergeBed.all_mie_bed,
		all_all_bed=mergeBed.all_all_bed,
		sample_name=sample_name,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call diffBed.diffBed as diffBed {
		input:
		all_mie_bed=mergeBed.all_mie_bed,
		all_all_bed=mergeBed.all_all_bed,
		sample_name=sample_name,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	call bedAnnotation.bedAnnotation as INS_bedAnnotation {
		input:
		all_info_bed=mergeBed.all_info_bed,
		sample_name=sample_name,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}
